#include "xaudioseektable.h"

XAudioSeekTable::XAudioSeekTable()
    : XAsset()
    , mSize(0)
    , mData()
{
    SetName("Audio Seek Table");
}

XAudioSeekTable::~XAudioSeekTable()
{

}

void XAudioSeekTable::ParseData(XDataStream *aStream)
{
    mSize = aStream->ParseUInt32(QString("%1 size").arg(GetName()));

    qint32 dataPtr = aStream->ParseInt32(QString("%1 data ptr").arg(GetName()));
    if (dataPtr)
    {
        aStream->readRawData(mData.data(), 4 * mSize);
    }
}

void XAudioSeekTable::Clear()
{
    mSize = 0;
    mData.clear();
}
